#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private CFCYBAR[] cacheCFCYBAR;

		
		public CFCYBAR CFCYBAR(NinjaTrader.NinjaScript.CF_CYBAR_Bar_Types barType, PriceType src, PriceType src1)
		{
			return CFCYBAR(Input, barType, src, src1);
		}


		
		public CFCYBAR CFCYBAR(ISeries<double> input, NinjaTrader.NinjaScript.CF_CYBAR_Bar_Types barType, PriceType src, PriceType src1)
		{
			if (cacheCFCYBAR != null)
				for (int idx = 0; idx < cacheCFCYBAR.Length; idx++)
					if (cacheCFCYBAR[idx].BarType == barType && cacheCFCYBAR[idx].Src == src && cacheCFCYBAR[idx].Src1 == src1 && cacheCFCYBAR[idx].EqualsInput(input))
						return cacheCFCYBAR[idx];
			return CacheIndicator<CFCYBAR>(new CFCYBAR(){ BarType = barType, Src = src, Src1 = src1 }, input, ref cacheCFCYBAR);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.CFCYBAR CFCYBAR(NinjaTrader.NinjaScript.CF_CYBAR_Bar_Types barType, PriceType src, PriceType src1)
		{
			return indicator.CFCYBAR(Input, barType, src, src1);
		}


		
		public Indicators.CFCYBAR CFCYBAR(ISeries<double> input , NinjaTrader.NinjaScript.CF_CYBAR_Bar_Types barType, PriceType src, PriceType src1)
		{
			return indicator.CFCYBAR(input, barType, src, src1);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.CFCYBAR CFCYBAR(NinjaTrader.NinjaScript.CF_CYBAR_Bar_Types barType, PriceType src, PriceType src1)
		{
			return indicator.CFCYBAR(Input, barType, src, src1);
		}


		
		public Indicators.CFCYBAR CFCYBAR(ISeries<double> input , NinjaTrader.NinjaScript.CF_CYBAR_Bar_Types barType, PriceType src, PriceType src1)
		{
			return indicator.CFCYBAR(input, barType, src, src1);
		}

	}
}

#endregion
